Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface SelectorsType

All Known Implementing Classes:
  SelectorsTypeImpl

    public interface SelectorsType

Contains zero or more selectors (defined as "a string that, by its presence, can be used to select certain infocards and reject all other infocards"). Java content class for selectorsType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 297)

     <complexType name="selectorsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="category" type="{http://infoml.org/infomlFile}categoryType" minOccurs="0"/>
             <element name="dvprCategory" type="{http://infoml.org/infomlFile}nonnullTokenWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="userCategory" type="{http://infoml.org/infomlFile}nonnullTokenWithOwnerReplaceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="dvprId" type="{http://infoml.org/infomlFile}nonnullTokenWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="userId" type="{http://infoml.org/infomlFile}nonnullTokenWithOwnerReplaceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="tag" type="{http://infoml.org/infomlFile}nonnullTokenType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="dvprTag" type="{http://infoml.org/infomlFile}nonnullTokenType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="userTag" type="{http://infoml.org/infomlFile}nonnullTokenType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="dvprTagToRemove" type="{http://infoml.org/infomlFile}nonnullTokenWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="userTagToRemove" type="{http://infoml.org/infomlFile}nonnullTokenWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getCategory()` Gets the value of the category property.
`java.util.List` | `getDvprCategory()` Gets the value of the DvprCategory property.
`java.util.List` | `getDvprId()` Gets the value of the DvprId property.
`java.util.List` | `getDvprTag()` Gets the value of the DvprTag property.
`java.util.List` | `getDvprTagToRemove()` Gets the value of the DvprTagToRemove property.
`java.util.List` | `getTag()` Gets the value of the Tag property.
`java.util.List` | `getUserCategory()` Gets the value of the UserCategory property.
`java.util.List` | `getUserId()` Gets the value of the UserId property.
`java.util.List` | `getUserTag()` Gets the value of the UserTag property.
`java.util.List` | `getUserTagToRemove()` Gets the value of the UserTagToRemove property.
`void` | `setCategory(java.lang.String value)` Sets the value of the category property.

Method Detail

### getCategory

    java.lang.String getCategory()

  Gets the value of the category property.

  Returns:
    possible object is `String`

### setCategory

    void setCategory(java.lang.String value)

  Sets the value of the category property.

  Parameters:
    `value` - allowed object is `String`

### getDvprTag

    java.util.List getDvprTag()

  Gets the value of the DvprTag property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprTag property.

  For example, to add a new item, do as follows:

          getDvprTag().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getDvprCategory

    java.util.List getDvprCategory()

  Gets the value of the DvprCategory property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprCategory property.

  For example, to add a new item, do as follows:

          getDvprCategory().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

### getTag

    java.util.List getTag()

  Gets the value of the Tag property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Tag property.

  For example, to add a new item, do as follows:

          getTag().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getUserId

    java.util.List getUserId()

  Gets the value of the UserId property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserId property.

  For example, to add a new item, do as follows:

          getUserId().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerReplaceType`

### getUserTagToRemove

    java.util.List getUserTagToRemove()

  Gets the value of the UserTagToRemove property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserTagToRemove property.

  For example, to add a new item, do as follows:

          getUserTagToRemove().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

### getDvprTagToRemove

    java.util.List getDvprTagToRemove()

  Gets the value of the DvprTagToRemove property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprTagToRemove property.

  For example, to add a new item, do as follows:

          getDvprTagToRemove().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

### getUserTag

    java.util.List getUserTag()

  Gets the value of the UserTag property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserTag property.

  For example, to add a new item, do as follows:

          getUserTag().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getUserCategory

    java.util.List getUserCategory()

  Gets the value of the UserCategory property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserCategory property.

  For example, to add a new item, do as follows:

          getUserCategory().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerReplaceType`

### getDvprId

    java.util.List getDvprId()

  Gets the value of the DvprId property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprId property.

  For example, to add a new item, do as follows:

          getDvprId().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD